import { InjectionToken, ModuleWithProviders } from '@angular/core';
import { EvaluationContext, Provider } from '@openfeature/web-sdk';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
export type EvaluationContextFactory = () => EvaluationContext;
export interface OpenFeatureConfig {
    provider: Provider;
    domainBoundProviders?: Record<string, Provider>;
    context?: EvaluationContext | EvaluationContextFactory;
}
export declare const OPEN_FEATURE_CONFIG_TOKEN: InjectionToken<OpenFeatureConfig>;
export declare class OpenFeatureModule {
    static forRoot(config: OpenFeatureConfig): ModuleWithProviders<OpenFeatureModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<OpenFeatureModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<OpenFeatureModule, never, [typeof i1.CommonModule], never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<OpenFeatureModule>;
}
